# Enable an Event Destination Enable an event destination. ## Request ```curl curl -X POST https://api.stripe.com/v2/core/event_destinations/ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6/enable \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-06-24.dahlia" ``` ### Response ```json { "id": "ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6", "object": "v2.core.event_destination", "created": "2024-10-22T16:20:09.931Z", "description": "This is my event destination, I like it a lot", "enabled_events": [ "v1.billing.meter.error_report_triggered" ], "event_payload": "thin", "events_from": [ "@self" ], "livemode": false, "metadata": {}, "name": "My Event Destination", "snapshot_api_version": null, "status": "enabled", "status_details": null, "type": "webhook_endpoint", "updated": "2024-10-22T16:21:38.634Z", "webhook_endpoint": { "signing_secret": null, "url": null } } ``` ## Returns Returns an [Event Destination object](https://docs.stripe.com/api/v2/core/event-destinations/object.md). ## Error Codes | HTTP status code | Code | Description | | --- | --- | --- | | 404 | not_found | The resource wasn’t found. | | 409 | idempotency_error | An idempotent retry occurred with different request parameters. |